#include "FindData.h"

using namespace Win;

void		FindData::CreateTime(SystemTime &time)
{
	FILETIME converted;

	::FileTimeToLocalFileTime(&ftCreationTime, &converted);
	::FileTimeToSystemTime(&converted, &time);
}

void		FindData::AccessedTime(SystemTime &time)
{
	FILETIME converted;

	::FileTimeToLocalFileTime(&ftLastAccessTime, &converted);
	::FileTimeToSystemTime(&converted, &time);
}

void		FindData::WriteTime(SystemTime &time)
{
	FILETIME converted;

	::FileTimeToLocalFileTime(&ftLastWriteTime, &converted);
	::FileTimeToSystemTime(&converted, &time);
}

int				FindData::Size()			{ return (int)( (nFileSizeHigh * MAXDWORD) + nFileSizeLow); }
char const *	FindData::FileName()		{ return (char const *)(cFileName); }
char const *	FindData::ClassicName()	{ return (char const *)(cAlternateFileName); }
